package com.iskael.keramat;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.TextView;

public class GameActivity extends Activity {
	
	SharedPreferences prefs;
	
	String[] jwbn = {
		"datang tampak muka",
		"tak ada yang selamat",
		"datang dijemput maut",
		"pulang tampak punggung",
		"tak ada yang abadi",
		"diantar menuju kubur",
		"selamatkan dirimu",
		"kamu terancam",
		"tiada jalan tuk berhasil",
		"sekarang silakan menebak",
		"datang tak dijemput pulang tak diantar selamat kamu berhasil menebak"
	};
	
	
	TextView tv1,tv2;
	ImageView iv1;
	Button btnSubmit;
	EditText kotakInput;
	int lvl = 1;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_game);
		
		prefs = getSharedPreferences("ipf", 0);
		lvl = prefs.getInt("shared_lvl", lvl);
		
		tv1 = (TextView)findViewById(R.id.textView1);
		tv2 = (TextView)findViewById(R.id.textView2);
		
		btnSubmit = (Button)findViewById(R.id.button4);
		kotakInput = (EditText)findViewById(R.id.editText1);
		
		proses();
		
		btnSubmit.setOnClickListener(new OnClickListener() {
			public void onClick(View v) {
				if (kotakInput.getText().toString().toLowerCase().equals(jwbn[lvl-1])) {
					lvl = lvl + 1;
					updateLevel();
					//goto ResultActivity
					Intent intent1 = new Intent(GameActivity.this, ResultActivity.class);
					startActivity(intent1);
					finish();
					//jalanin proses
					//proses();
					
				} else {
					tv2.setVisibility(View.VISIBLE);
				}
			}
		});
	}
	
	public void proses() {
		iv1 = (ImageView)findViewById(R.id.imageView1);
		String the_lvl = Integer.toString(lvl);
		iv1.setImageResource(getImageId(this, "soal_level"+the_lvl ));
		if (lvl >= 11) {
			tv1.setText("Mantra terakhir");
		} else {
			tv1.setText("Mantra ke-" + Integer.toString(lvl));
		}
	}
	
	public void updateLevel() {
		SharedPreferences.Editor editor = prefs.edit();
		editor.putInt("shared_lvl", lvl);
		editor.commit();
	}
	
	public static int getImageId(Context context, String imgName) {	
		return context.getResources().getIdentifier("drawable/"+imgName, null, context.getPackageName());
	}
}
