package com.iskael.keramat;

import java.util.Locale;

import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.text.Html;
import android.text.Spanned;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class ResultActivity extends Activity {
	
	SharedPreferences prefs;
	
	String[] jwbnH = {
		"<font color=red>datang</font> tampak muka",
		"<font color=red>tak</font> ada yang selamat",
		"datang <font color=red>dijemput</font> maut",
		"<font color=red>pulang</font> tampak punggung",
		"<font color=red>tak</font> ada yang abadi",
		"<font color=red>diantar</font> menuju kubur",
		"<font color=red>selamatkan</font> dirimu",
		"<font color=red>kamu</font> terancam",
		"tiada jalan tuk <br><font color=red>berhasil</font>",
		"sekarang silakan <br><font color=red>menebak</font>",
		"datang tak dijemput<br>pulang tak diantar<br>selamat kamu berhasil menebak"
	};
	
	TextView tv3;
	Button btnX;
	int lvl;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_result);
		
		prefs = getSharedPreferences("ipf", 0);
		lvl = prefs.getInt("shared_lvl", lvl);
		
		tv3 = (TextView)findViewById(R.id.textView3);
		btnX = (Button)findViewById(R.id.buttonX);
		
		tv3.setText(jwbnH[lvl-2]);
		String tv3s = ((String) tv3.getText()).toUpperCase(Locale.getDefault());
		Spanned tv3h = Html.fromHtml(tv3s);
		tv3.setText(tv3h);
		
		if (lvl >= 12) {
			btnX.setText("RESET");
		}
		
		btnX.setOnClickListener(new OnClickListener() {
			public void onClick(View v) {
				if (lvl >= 12) { //reset level
					lvl = 1;
					SharedPreferences.Editor editor = prefs.edit();
					editor.putInt("shared_lvl", lvl);
					editor.commit();
					Intent intent1 = new Intent(ResultActivity.this, HomeActivity.class);
					startActivity(intent1);
					finish();
				} else {
					Intent intent1 = new Intent(ResultActivity.this, GameActivity.class);
					startActivity(intent1);
					finish();
				}
			}
		});
		
	}
}
