package com.iskael.keramat;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.WindowManager;

public class SplashActivity extends Activity {
	
	protected boolean _active = true;
	protected int _splashTime = 2000;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_splash);
		
		getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN,
        WindowManager.LayoutParams.FLAG_FULLSCREEN);
		
		//splashScreen
		Thread splashTread = new Thread() {
	        @Override
	        public void run() {
	            try {
	                int waited = 0;
	                while (_active && (waited < _splashTime)) {
	                    sleep(100);
	                    if (_active) {
	                        waited += 100;
	                    }
	                }
	            } catch (Exception e) {

	            } finally {

	                startActivity(new Intent(SplashActivity.this,
	                        HomeActivity.class));
	                finish();
	            }
	        };
	             };
	    splashTread.start();
	}
}
